#!/bin/sh
echo 'name: mueval
version: 0.9
id: mueval-0.9-588666bb6bc22a1f8e1bb7f28bfa114e

license: BSD3
copyright:
maintainer: Gwern <gwern0@gmail.com>
stability:
homepage: http://code.haskell.org/mubot/
package-url:
synopsis: Safely evaluate pure Haskell expressions
description: Mueval is a Haskell interpreter. It
             uses the GHC API to evaluate arbitrary Haskell expressions.
             Importantly, mueval takes many precautions to defang and avoid \"evil\"
             code.  It uses resource limits, whitelisted modules and Safe Haskell,
             special Show instances for IO, threads, processes, and changes of directory
             to sandbox the Haskell code.
             .
             It is, in short, intended to be a standalone version of Lambdabot'\''s famous
             evaluation functionality. For examples and explanations, please see the README file.
             .
             Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules: Mueval.Parallel Mueval.Context Mueval.Interpreter
                 Mueval.ArgsParse Mueval.Resources
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/mueval-0.9
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/mueval-0.9
              /usr/local/lib
hs-libraries: HSmueval-0.9
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: Cabal-1.14.0-62d3c0fc3f921c82378abf4765967268
         base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         containers-0.4.2.1-efa59805336a77490296ae3897cecb87
         directory-1.1.0.2-0d703b400bafcc2a2ca486a922be0178
         extensible-exceptions-0.1.1.4-3d9bd197c43329612c640f24179a7f19
         filepath-1.3.0.0-954c43b4f109cbd4121f1231c14d5cff
         hint-0.3.3.6-e5b832c795e53c214587bb5122c2fc26
         mtl-2.1.2-cf6082d8d4c6758d23401302efadd028
         process-1.1.0.1-c55e7a2b0eb5149f070b14e14bea1c83
         show-0.5-88446906585de9c5330bb441a7b182e4
         simple-reflect-0.3.1-3e1ccb543d8c42a2c52d4cd96c1ad477
         unix-2.5.1.1-f886ace7bb76197d419d09eaa49f4247
         utf8-string-0.3.7-1bbf2d8486e5b2b6dbd89573586560d4
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/mueval-0.9/html/mueval.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/mueval-0.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
